/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package gUI;

/**
 *
 * @author Alexander The 1st
 */
public class DSpaceCombat {
   
    public static DSpaceCombat dsc;
    
    public FortressSneaker appA;
    public FortressSneaker appB;
    
    private final int INIT_X = 280; // Determines center of game area
    private final int INIT_Y = 280;
    private final int INIT_Z = 280;
    
    public CombatModel obA;
    
    public DSpaceCombat(){
        obA = new CombatModel(INIT_X, INIT_Y, INIT_Z, 1);
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
        
            
            public void run() {
        
           appA = new FortressSneaker("Fortress Sneaker X/Y.", 1, 1, 1, 0, obA);
        
//            }
         
//        });
//                javax.swing.SwingUtilities.invokeLater(new Runnable() {

            
//            public void run() {
//            obA = new CombatModel(INIT_X, INIT_Y, INIT_Z, 1);
            appB = new FortressSneaker("Fortress Sneaker Z/Y.", 2, 0, 1, 1, obA);
        
            }
         
        });
//                appB = new FortressSneaker("Fortress Sneaker Z/Y.", 2, obA);
    }
    
    public static void main(String[] args){
        
                //We need to be a level above the JFrame so that we can have two frames if needed.
                dsc = new DSpaceCombat();
     
    }
    
}
